Package ru.bitel.bgbilling.plugins.crm.common.model

# Class RegisterTask

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.plugins.crm.common.model.RegisterTask

All Implemented Interfaces:
  `Serializable`, `Idable`

public class RegisterTask extends Id implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `STATUS_ACCEPTED`
  `static final int`
  `STATUS_CLOSED`
  `static final String`
  `STATUS_LIST`
  `static final int`
  `STATUS_OPEN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegisterTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getAcceptTime()`
  `int`
  `getAcceptUserId()`
  Возвращает код пользователя принявшего задачу
  `int`
  `getAddressObjectId()`
  Возвращает код адресного параметра объекта договора
  `int`
  `getAddressParamId()`
  Возвращает код адресного параметра договора
  `Date`
  `getCloseTime()`
  `int`
  `getCloseUserId()`
  `String`
  `getComment()`
  `int`
  `getContractId()`
  `Date`
  `getCreateTime()`
  `int`
  `getCreateUserId()`
  `Date`
  `getExecuteDate()`
  `List<Integer>`
  `getExecutors()`
  `int`
  `getGroupId()`
  `Date`
  `getLastmodTime()`
  `int`
  `getLastmodUserId()`
  `Date`
  `getOpenTime()`
  `String`
  `getOpenTimeF()`
  `int`
  `getOpenUserId()`
  `int`
  `getProblemId()`
  `String`
  `getResolution()`
  `int`
  `getStatus()`
  `Date`
  `getTargetDate()`
  `String`
  `getTargetDateF()`
  `int`
  `getTypeId()`
  `boolean`
  `isProcessed()`
  `RegisterTask`
  `setAcceptTime(Date acceptTime)`
  Устанавливает дату ПРИНЯТИЯ задачи
  `RegisterTask`
  `setAcceptUserId(int acceptUserId)`
  `RegisterTask`
  `setAddressObjectId(int addressObjectId)`
  Устанавливает код адресного параметра объекта договора
  `RegisterTask`
  `setAddressParamId(int addressParamId)`
  Устанавливается код адресного параметра из договора
  `RegisterTask`
  `setCloseTime(Date closeTime)`
  `RegisterTask`
  `setCloseUserId(int closeUserId)`
  `RegisterTask`
  `setComment(String comment)`
  `RegisterTask`
  `setContractId(int contractId)`
  `RegisterTask`
  `setCreateTime(Date createTime)`
  `RegisterTask`
  `setCreateUserId(int createUserId)`
  `RegisterTask`
  `setExecuteDate(Date executeDate)`
  `RegisterTask`
  `setExecutors(List<Integer> executors)`
  `RegisterTask`
  `setGroupId(int groupId)`
  `RegisterTask`
  `setId(int id)`
  Устанавливает id объекта
  `RegisterTask`
  `setLastmodTime(Date lastmodTime)`
  `RegisterTask`
  `setLastmodUserId(int lastmodUserId)`
  `RegisterTask`
  `setOpenTime(Date openTime)`
  `RegisterTask`
  `setOpenUserId(int openUserId)`
  `RegisterTask`
  `setProblemId(int problemId)`
  `RegisterTask`
  `setProcessed(boolean processed)`
  `RegisterTask`
  `setResolution(String resolution)`
  `RegisterTask`
  `setStatus(int status)`
  `RegisterTask`
  `setTargetDate(Date targetDate)`
  `RegisterTask`
  `setTypeId(int typeId)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### STATUS_OPEN

    public static final int STATUS_OPEN
    See Also:
      - Constant Field Values

  - ### STATUS_ACCEPTED

    public static final int STATUS_ACCEPTED
    See Also:
      - Constant Field Values

  - ### STATUS_CLOSED

    public static final int STATUS_CLOSED
    See Also:
      - Constant Field Values

  - ### STATUS_LIST

    public static final String STATUS_LIST
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RegisterTask

    public RegisterTask()

- ## Method Details

  - ### getAcceptTime

    public Date getAcceptTime()

  - ### getAcceptUserId

    public int getAcceptUserId()
    Возвращает код пользователя принявшего задачу
    Returns:
      код пользователя

  - ### getAddressObjectId

    public int getAddressObjectId()
    Возвращает код адресного параметра объекта договора
    Returns:
      id из таблицы object_param

  - ### getAddressParamId

    public int getAddressParamId()
    Возвращает код адресного параметра договора
    Returns:
      id из таблицы `Constants.TABLE_CONTRACT_PARAMETERS_PREF`

  - ### getCloseTime

    public Date getCloseTime()

  - ### getCloseUserId

    public int getCloseUserId()

  - ### getComment

    public String getComment()

  - ### getContractId

    public int getContractId()

  - ### getCreateTime

    public Date getCreateTime()

  - ### getCreateUserId

    public int getCreateUserId()

  - ### getExecuteDate

    public Date getExecuteDate()

  - ### getExecutors

    public List<Integer> getExecutors()

  - ### getGroupId

    public int getGroupId()

  - ### getLastmodTime

    public Date getLastmodTime()

  - ### getLastmodUserId

    public int getLastmodUserId()

  - ### getOpenTime

    public Date getOpenTime()

  - ### getOpenTimeF

    public String getOpenTimeF()

  - ### getOpenUserId

    public int getOpenUserId()

  - ### getProblemId

    public int getProblemId()

  - ### getResolution

    public String getResolution()

  - ### getStatus

    public int getStatus()

  - ### getTargetDate

    public Date getTargetDate()

  - ### getTargetDateF

    public String getTargetDateF()

  - ### getTypeId

    public int getTypeId()

  - ### isProcessed

    public boolean isProcessed()

  - ### setAcceptTime

    public RegisterTask setAcceptTime(Date acceptTime)
    Устанавливает дату ПРИНЯТИЯ задачи
    Parameters:
      `acceptTime` - дата ПРИНЯТИЯ задачи

  - ### setAcceptUserId

    public RegisterTask setAcceptUserId(int acceptUserId)

  - ### setAddressObjectId

    public RegisterTask setAddressObjectId(int addressObjectId)
    Устанавливает код адресного параметра объекта договора
    Parameters:
      `addressObjectId` - - id из таблицы object_param

  - ### setAddressParamId

    public RegisterTask setAddressParamId(int addressParamId)
    Устанавливается код адресного параметра из договора
    Parameters:
      `addressParamId` - - id из таблицы
      invalid reference

          ru.bitel.bgbilling.server.bean.Constants.TABLE_CONTRACT_PARAMETERS_PREF

  - ### setCloseTime

    public RegisterTask setCloseTime(Date closeTime)

  - ### setCloseUserId

    public RegisterTask setCloseUserId(int closeUserId)

  - ### setComment

    public RegisterTask setComment(String comment)

  - ### setContractId

    public RegisterTask setContractId(int contractId)

  - ### setCreateTime

    public RegisterTask setCreateTime(Date createTime)

  - ### setCreateUserId

    public RegisterTask setCreateUserId(int createUserId)

  - ### setExecuteDate

    public RegisterTask setExecuteDate(Date executeDate)

  - ### setExecutors

    public RegisterTask setExecutors(List<Integer> executors)

  - ### setGroupId

    public RegisterTask setGroupId(int groupId)

  - ### setId

    public RegisterTask setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setLastmodTime

    public RegisterTask setLastmodTime(Date lastmodTime)

  - ### setLastmodUserId

    public RegisterTask setLastmodUserId(int lastmodUserId)

  - ### setOpenTime

    public RegisterTask setOpenTime(Date openTime)

  - ### setOpenUserId

    public RegisterTask setOpenUserId(int openUserId)

  - ### setProblemId

    public RegisterTask setProblemId(int problemId)

  - ### setProcessed

    public RegisterTask setProcessed(boolean processed)

  - ### setResolution

    public RegisterTask setResolution(String resolution)

  - ### setStatus

    public RegisterTask setStatus(int status)

  - ### setTargetDate

    public RegisterTask setTargetDate(Date targetDate)

  - ### setTypeId

    public RegisterTask setTypeId(int typeId)